aboutsummaryrefslogtreecommitdiff
path: root/util
diff options
context:
space:
mode:
authorBrad Corso <bcorso@google.com>2021-01-05 15:43:38 -0800
committerDagger Team <dagger-dev+copybara@google.com>2021-01-05 15:46:12 -0800
commit59593065a8043223e70f13b0bd052c0ce46796ba (patch)
treea98cb895946d92b23e1ffd319589f9403faf4e7f /util
parent0929fec4294bd43b3be966405d20375524d50f75 (diff)
downloaddagger2-59593065a8043223e70f13b0bd052c0ce46796ba.tar.gz
Retry instrumentation test on failure to reduce flaky failures.
RELNOTES=N/A PiperOrigin-RevId: 350235151
Diffstat (limited to 'util')
-rwxr-xr-xutil/run-local-emulator-tests.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/util/run-local-emulator-tests.sh b/util/run-local-emulator-tests.sh
index b8c5a64ae..e0643d0c8 100755
--- a/util/run-local-emulator-tests.sh
+++ b/util/run-local-emulator-tests.sh
@@ -54,7 +54,13 @@ readonly GRADLE_PROJECTS=(
)
for project in "${GRADLE_PROJECTS[@]}"; do
echo "Running gradle tests for $project"
- ./$project/gradlew -p $project connectedAndroidTest --no-daemon --stacktrace
+ {
+ ./$project/gradlew -p $project connectedAndroidTest --no-daemon --stacktrace
+ } || {
+ # Try running once more. This test is flaky failure due to InstallException
+ # TODO(b/176111885): See if there's a better way to prevent this flake
+ ./$project/gradlew -p $project connectedAndroidTest --no-daemon --stacktrace
+ }
done
# Run emulator tests in a project with configuration cache enabled